gr::gsm::decryption_impl Class Reference

`#include <decryption_impl.h>`

Inheritance diagram for gr::gsm::decryption_impl:

## Public Member Functions

| decryption_impl (const std::vector< uint8_t > &k_c, unsigned int a5_version)
| ~decryption_impl ()
virtual void | set_k_c (const std::vector< uint8_t > &k_c)
virtual void | set_a5_version (unsigned int a5_version)

## Additional Inherited Members

Public Types inherited from gr::gsm::decryption
typedef std::shared_ptr< decryption > | sptr
Static Public Member Functions inherited from gr::gsm::decryption
static sptr | make (const std::vector< uint8_t > &k_c, unsigned int a5_version)
| Return a shared_ptr to a new instance of gsm::decryption.

## Constructor & Destructor Documentation

## decryption_impl()

gr::gsm::decryption_impl::decryption_impl | ( | const std::vector< uint8_t > & | k_c,
|  | unsigned int | a5_version )

## ~decryption_impl()

gr::gsm::decryption_impl::~decryption_impl | ( |  | ) |

## Member Function Documentation

## set_a5_version()

virtual void gr::gsm::decryption_impl::set_a5_version | ( | unsigned int | a5_version | ) |

virtual

Implements gr::gsm::decryption.

## set_k_c()

virtual void gr::gsm::decryption_impl::set_k_c | ( | const std::vector< uint8_t > & | k_c | ) |

virtual

Implements gr::gsm::decryption.

The documentation for this class was generated from the following file:

- decryption_impl.h